PHP Manual
Prev |  | Next

# imap_utf7_decode

(PHP 3 >= 3.0.15, PHP 4, PHP 5)

imap_utf7_decode -- Decodes a modified UTF-7 encoded string

## Description

string imap_utf7_decode ( string text )

Decodes modified UTF-7 `text` into ISO-8859-1 string.

This function is needed to decode mailbox names that contain certain characters which are not in range of printable ASCII characters.

## Parameters

`text`

  A modified UTF-7 encoding string, as defined in RFC 2060, section 5.1.3 (original UTF-7 was defined in RFC1642).

## Return Values

Returns a string that is encoded in ISO-8859-1 and consists of the same sequence of characters in `text`, or `FALSE` if `text` contains invalid modified UTF-7 sequence or `text` contains a character that is not part of ISO-8859-1 character set.

## See Also

imap_utf7_encode()

Prev | Home | Next
imap_unsubscribe | Up | imap_utf7_encode